Subject: Re: bug#34684: 26.1; Strange characters when inserting date

From: Eli Zaretskii <[email-masked]>
Date: Fri, 01 Mar 2019 16:09:24 +0200

> From: Robert Pluim <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Fri, 01 Mar 2019 14:47:21 +0100
> 
> > That's only so if the above produces the same garbled result as in the
> > original report.  Does it?
> 
> Didnʼt I send this yesterday?
> 
> $ LANG=zh_HK src/emacs -Q -l ss.el
> (require 'org)
> (org-time-stamp)
> <2019-03-01 五>
> 
> I think '五' is 'Five', but donʼt quote me on that.

This is not garbage by any measure.  Please compare with what the OP
reported.

In any case, the original report was for Thursday, not Friday.  the
former should AFAIU display 四.  But neither is nowhere close to the
sequence the OP reported, not even if I break the correct character
into individual bytes, so some other factor is at work here.

> So at least for me itʼs working correctly (in both *scratch* and an
> Org-mode buffer), which means thereʼs something wrong in the
> reporter's configuration somewhere.

What, if anything, is wrong with the OP's configuration is exactly the
issue here.  There's no question that current-time and
format-time-string work in general.